# Uses of Class
org.jfree.chart3d.plot.Plot3DChangeEvent

Packages that use Plot3DChangeEvent
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of Plot3DChangeEvent in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type Plot3DChangeEvent
Modifier and Type
Method
Description
`void`
Chart3D.`plotChanged(Plot3DChangeEvent event)`
Receives notification of a plot change event, refreshes the 3D model (world) and passes the event on, wrapped in a `Chart3DChangeEvent`, to all registered listeners.

## Uses of Plot3DChangeEvent in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot with parameters of type Plot3DChangeEvent
Modifier and Type
Method
Description
`void`
AbstractPlot3D.`notifyListeners(Plot3DChangeEvent event)`
Notifies all registered listeners that the plot has been modified.
`void`
Plot3DChangeListener.`plotChanged(Plot3DChangeEvent event)`
Receives notification that a plot has changed.